Platform Requirements, System Requirements, and Technical Resources

Printable PDF

Technical Resources

  • Required plug-ins: Flash Player 10.1 or higher at minimum (Flash Player 11 is recommended), Adobe Reader 10 or higher at minimum (Adobe Reader 11 is recommended), Java 6 at minimum, QuickTime 7 at minimum (System and platform requirements, along with download links, are included at the end of this document.)
  • Students need access to office productivity software. (OpenOffice, Microsoft Office, etc.)
  • 512 MB of RAM or higher recommended
  • Internet access (A broadband connection to the Internet is recommended in order to avoid problems with course content loading in a timely manner. While dial-up, satellite, or cellular data connections will work with D2L, significant usability issues can occur depending on the content of the course.)
  • Soundcard with microphone and headphones (A headset containing microphone/headphones is highly recommended.)

Additional Information

  • Students and teachers need to check the ACCESS Course Catalog for course-specific requirements (http://accessdl.state.al.us/courses.html). Teachers also need to check the course information within the section for any additional requirements, including technical. (i.e., required text that is available only in CD-ROM format, etc.)
  • Mobile devices are a valuable resource that can be used effectively with the learning management system; however, the ACCESS staff does not recommend using these devices exclusively. Students and teachers need access to a computer to perform certain tasks, including accessing applications that use Flash, or that are powered by Java. Applications using Flash will only function using a specialized browser that must be purchased for mobile devices. (Photon Flash, Puffin, etc.) While we provide support for Desire2Learn (D2L) tools, we are unable to provided support for mobile devices due to varied types and platforms.

System and Platform Requirements for Desire2Learn (D2L) Learning Environment (LE) 10.1

Browser support

Your system must have Java Runtime Environment 6 or greater to run the Equation Editor and Adobe Flash Player 10.1 or greater to use the Record Audio and Record Video features. Ensure that your browser has JavaScript and Cookies enabled.

There are 4 stages of the browser support cycle (status) as defined by D2L: investigation, supported, maintenance, and unsupported. These definitions are included at the end of the browser support status listings.

Windows

Internet Explorer 8 was moved into maintenance mode with version 10.0, and will no longer be supported in the next version of the Learning Suite (10.2).

Browser Status

Internet Explorer 10

Investigation

Internet Explorer 9

Supported

Internet Explorer 8

Maintenance

Firefox (newest)

Supported

Firefox 17.0

Maintenance (to the end of 2013)

Firefox 10.0

Maintenance (to the end of 2012)

Firefox (older)

Unsupported

Chrome (newest)

Supported

Mac OS X

Browser Status

Safari 6.0

Supported

Safari 5.1

Supported

Safari 5.0

Maintenance

Safari 4.0

Maintenance

Firefox (newest)

Supported

Firefox 17.0

Maintenance (to the end of 2013)

Firefox 10.0

Maintenance (to the end of 2012)

Firefox (older)

Unsupported

Chrome (newest)

Supported

System and Platform Requirements for Desire2Learn (D2L) Learning Environment (LE) 10.1

Tablet support for Desktop Web

Browser Status

Android Browser (newest)

Supported

iPad Safari (newest)

Supported

Playbook Browser (newest)

Supported

Mobile Web

Operating System/Browser Status

iOS (Newest)

Supported

iOS 5 (Safari 5.1)

Supported

iOS 4 (Safari 5.0)

Maintenance

iOS 3 (Safari 4)

Maintenance

Android (Newest)

Supported

Android 4.0 (Ice Cream Sandwich)

Supported

Android 3.2 (Honeycomb)

Supported

Android 2.3 (Gingerbread)

Supported

Android 2.2 (Froyo)

Supported

Android 2.1 (Eclair)

Maintenance

Android 1.6 (Donut)

Maintenance

Android 1.5 (Cupcake)

Maintenance

Blackberry 7

Supported

Blackberry 6

Supported

The above mentioned products and/or services retain their trademarks and copyrights where applicable.

System and Platform Requirements for Desire2Learn (D2L) Learning Environment (LE) 10.1

Browser Support Lifecycle Status Definitions

There are 4 stages of the browser support cycle as defined by D2L: investigation, supported, maintenance, and unsupported.

Investigation

The browser is recognized and under consideration by Desire2Learn, but has not been tested against any versions of Desire2Learn products and may never be fully supported.

This category is mainly used for new browsers that have a significant user base, good vendor support, and are generally considered as candidates for future Desire2Learn support.

Supported

The browser and operating system combination have been fully tested by Desire2Learn.

Maintenance

The browser is not tested extensively against new versions of Desire2Learn products, but customers can still report problems and receive support for critical issues with previous versions. Desire2Learn does not guarantee all issues will be addressed.

A browser goes into maintenance either when a vendor officially ends support for it or Desire2Learn decides to end support for it.

A maintenance browser becomes officially unsupported after one year.

Unsupported

The browser is not tested and no fixes are performed for unsupported browsers. Desire2Learn does not guarantee any product functionality and offers no support for reported problems.

Generally, Desire2Learn ends support for a browser one year after the associated vendor ends their official support for it.

System Requirements for Adobe Flash Player 10.1 or Higher (Adobe Flash Player 11 Recommended)

Download Adobe Flash Player
http://get.adobe.com/flashplayer/

Microsoft® Windows®

  • 2.33GHz or faster x86-compatible processor, or Intel® Atom™ 1.6GHz or faster processor for netbooks
  • Microsoft® Windows® XP (32 bit), Windows Vista® (32 bit), Windows 7 (32 bit and 64 bit), Windows 8 (32 bit and 64 bit)
  • 512MB of RAM (1GB of RAM recommended for netbooks); 128MB of graphics memory

Mac OS

  • Intel Core™ Duo 1.83GHz or faster processor
  • Mac OS X v10.6, v10.7, or v10.8
  • 512MB of RAM; 128MB of graphics memory

System Requirements for QuickTime 7.7.4 for Windows XP, Windows Vista, or Windows 7

Download QuickTime 7

http://www.apple.com/quicktime/download/

  • Windows XP (Service Pack 2 or later), Windows Vista or Windows 7
  • A PC with at least a 1GHz Intel or AMD processor
  • At least 512MB of RAM

System and Platform Requirements for Java 6 & 7

Download Java

http://www.java.com/en/

  • Pentium 2 266 MHz or faster processor
  • At least 128 MB of physical RAM is recommended*
  • A minimum of 124 MB of free disk space
  • Windows 8 Desktop, Windows 7, Windows Vista, Windows XP, Windows Server 2008
  • Chrome does not support Java 7 on the Mac platform
  • A 64-bit browser (Safari or Firefox, for example) is required to run Java 7 on Mac OS X
  • 32-bit browsers such as Chrome do not support Java 7 on the Mac platform

*Windows XP minimum is 64MB RAM

System and Platform Requirements for Adobe Reader 11.0.04

Download Adobe Reader

http://get.adobe.com/reader/

These system requirements are for Adobe® Reader® XI software, v11.0.

Windows

  • 1.3GHz or faster processor
  • Microsoft® Windows® XP with Service Pack 3 for 32 bit or Service Pack 2 for 64 bit; Windows Server® 2003 R2 (32 bit and 64 bit); Windows Server 2008 or 2008 R2 (32 bit and 64 bit); Windows 7 (32 bit and 64 bit); Windows 8 (32 bit and 64 bit)

System and Platform Requirements for Adobe Reader 11.0.04

  • 512MB recommended
  • 320MB of available hard-disk space
  • 1024x768 screen resolution
  • Internet Explorer 7, 8, 9, or 10; Firefox Extended Support Release; Chrome

Mac OS

  • Intel® processor
  • Mac OS X v10.6.4, v10.7.2, or v10.8
  • 1GB of RAM
  • 350MB of available hard-disk space
  • 1024x768 screen resolution
  • Safari 5.1 for Mac OS X v10.6.8 or v10.7.2; Safari 5.2 for Mac OS X v10.8; Safari 6.0 for Mac OS X v10.7.4 or v10.8
Apply Now!